Subject: bug#47641: Ongoing difficulities after linphoneqt -> linphone-desktop transition

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 14 May 2021 13:55:31 -0400

Hello Raghav,

Raghav Gururajan <[email-masked]> writes:

> Hi Christopher,
>
>> Raghav, I have sent you an instant message from my account. I am
>> currently still using the old version of linphone.
>
> I didn't receive it. Could you please retry?
>
> Linphone Account: [email-masked]
>
> Regards,
> RG.

I've also sent some messages to you, using a freshly created
apteryx@@sip.linphone.org.  The logs seem to suggest it's happening:

--8<---------------cut here---------------start------------->8---
[13:53:20:103][Info]Core:linphone: channel [0x37c5440] [332] bytes parsed
[13:53:20:103][Info]Core:linphone: Found transaction matching response.
[13:53:20:103][Info]Core:linphone: Changing [client] [MESSAGE] transaction [0x4a410f0], from state [TRYING] to [PROCEEDING]
[13:53:25:319][Warning]Core:linphone: Unable to get event from invalid key.
[13:53:25:319][Info]Core:linphone: Linphone core [0x2e3af50] notified [message_sent]
[13:53:25:319][Info]Core:linphone: MainDb::addEvent() of type 5
[13:53:25:539][Info]Core:linphone: Skipping top route of initial route-set because same as request-uri
[13:53:25:539][Info]Core:linphone: linphone_core_find_auth_info(): returning auth info username=apteryx, realm=sip.linphone.org
[13:53:25:539][Info]Core:linphone: AuthStack::authFound() for Username[apteryx];Userid[];Realm[sip.linphone.org];Domain[sip.linphone.org];Algorithm[];
[13:53:25:539][Info]Core:linphone: Auth info found for [apteryx] realm [sip.linphone.org]
[13:53:25:539][Info]Core:linphone: Changing [client] [MESSAGE] transaction [0x446bd50], from state [INIT] to [TRYING]
[13:53:25:539][Info]Core:linphone: channel [0x37c5440]: message sent to [TLS://sip.linphone.org:5223], size: [821] bytes
MESSAGE sip:[email-masked] SIP/2.0
Via: SIP/2.0/TLS 192.168.10.15:36146;branch=z9hG4bK.nvSrPVAQ-;rport
From: <sip:[email-masked]>;tag=sNabHMonG
To: sip:[email-masked]
CSeq: 20 MESSAGE
Call-ID: FmJ5VPXB0Z
Max-Forwards: 70
Supported: replaces, outbound, gruu
Date: Fri, 14 May 2021 17:53:25 GMT
Content-Type: text/plain
Content-Length: 12
User-Agent: Linphone Desktop/4.2.5 (Linux 5.11.15-gnu, Qt 5.15.2) LinphoneCore/4.4.0
Proxy-Authorization:  Digest realm="sip.linphone.org", nonce="ODZJ5AAAAAD+5i4ZAAAmBjdV5PQAAAAA", algorithm=SHA-256, opaque="+GNywA==", username="apteryx",  uri="sip:[email-masked]", response="ac0ce24d9d9c3785afa9a60395dc5b968b64527b2e4ff85c95b8cf3324849f65", cnonce="8kDLLCPfecEsYnUM", nc=0000000b, qop=auth

another test
[13:53:25:716][Info]Core:linphone: Chat message 0x4b85670: moving from Idle to InProgress
[13:53:25:716][0x2946a00][Info]components/sip-addresses/SipAddressesModel.cpp:427: Handle message sent.
[13:53:25:716][Info]Core:linphone: QT: components/sip-addresses/SipAddressesModel.cpp:427: Handle message sent.
[13:53:25:716][0x2946a00][Info]components/sip-addresses/SipAddressesModel.cpp:485: "Update (`sip:[email-masked]`, `sip:[email-masked]`) from chat message."
[13:53:25:716][Info]Core:linphone: QT: components/sip-addresses/SipAddressesModel.cpp:485: "Update (`sip:[email-masked]`, `sip:[email-masked]`) from chat message."
[13:53:25:725][Info]Core:linphone: channel [0x37c5440]: received [332] new bytes from [TLS://sip.linphone.org:5223]:
SIP/2.0 100 Trying
Via: SIP/2.0/TLS 192.168.10.15:36146;branch=z9hG4bK.nvSrPVAQ-;rport=36146;received=205.236.230.44
From: <sip:[email-masked]>;tag=sNabHMonG
To: <sip:[email-masked]>
Call-ID: FmJ5VPXB0Z
CSeq: 20 MESSAGE
Server: Flexisip/2.0.4-14-ga52de420 (sofia-sip-nta/2.0)
Content-Length: 0

[13:53:25:727][Info]Core:linphone: channel [0x37c5440] [332] bytes parsed
[13:53:25:727][Info]Core:linphone: Found transaction matching response.
[13:53:25:727][Info]Core:linphone: Changing [client] [MESSAGE] transaction [0x446bd50], from state [TRYING] to [PROCEEDING]
[13:53:30:657][Info]Core:linphone: channel [0x37c5440]: received [277] new bytes from [TLS://sip.linphone.org:5223]:
SIP/2.0 202 Accepted
Via: SIP/2.0/TLS 192.168.10.15:36146;branch=z9hG4bK.nvSrPVAQ-;rport=36146;received=205.236.230.44
From: <sip:[email-masked]>;tag=sNabHMonG
To: <sip:[email-masked]>
Call-ID: FmJ5VPXB0Z
CSeq: 20 MESSAGE
Content-Length: 0

[13:53:30:659][Info]Core:linphone: channel [0x37c5440] [277] bytes parsed
[13:53:30:659][Info]Core:linphone: Found transaction matching response.
[13:53:30:659][Info]Core:linphone: Changing [client] [MESSAGE] transaction [0x446bd50], from state [PROCEEDING] to [COMPLETED]
[13:53:30:659][Info]Core:linphone: Chat message 0x4b85670: moving from InProgress to Delivered
[13:53:30:866][Info]Core:linphone: Changing [client] [MESSAGE] transaction [0x446bd50], from state [COMPLETED] to [TERMINATED]
[13:53:30:866][Info]Core:linphone: Client MESSAGE transaction [0x446bd50] terminated
[13:53:30:866][Info]Core:linphone: Unhandled transaction terminated [0x446bd50]
--8<---------------cut here---------------end--------------->8---

Did you receive anything?

I can't seem to reproduce the crash seen by Christopher.

Maxim